package com.ruoyi.cai.notice.data;

import com.ruoyi.cai.notice.data.child.MessageExtData;
import com.ruoyi.cai.notice.enums.MessageBaseTypeEnum;
import lombok.Data;

@Data
public class MessageExtNew extends MessageBaseData {

    private MessageExtData data;

    public MessageExtNew(MessageBaseTypeEnum typeEnum) {
        this.setType(typeEnum.getCode());
    }

    public MessageExtNew() {
    }
}
